Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Fds::DiskData

struct Nes::Api::Fds::DiskData

Disk data context.

Inner Classes, Typedefs, and Enums
`typedef` | `Nes::Api::Fds::DiskData::Data` Data content.
`struct` | `Nes::Api::Fds::DiskData::File` File on disk.
`typedef` | `Nes::Api::Fds::DiskData::Files` Files.

Field Summary
`Nes::Api::Fds::DiskData::Files` | `files` Files.
`Nes::Api::Fds::DiskData::Data` | `raw` Raw binary content.

Constructor Summary
`DiskData()`
`~DiskData()`

Field Detail

### files

    public Nes::Api::Fds::DiskData::Files files;

  Files.

### raw

    public Nes::Api::Fds::DiskData::Data raw;

  Raw binary content.

Constructor Detail

### DiskData

    public DiskData() throw();

### ~DiskData

    public ~DiskData() throw();

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD